CodelessConnectorPollingRequestProperties Class
Describe the request properties needed to successfully pull from the server.
All required parameters must be populated in order to send to Azure.
- Inheritance
-
CodelessConnectorPollingRequestProperties
Constructor
CodelessConnectorPollingRequestProperties(*, api_endpoint: str, query_window_in_min: int, http_method: str, query_time_format: str, rate_limit_qps: Optional[int] = None, retry_count: Optional[int] = None, timeout_in_seconds: Optional[int] = None, headers: Optional[Any] = None, query_parameters: Optional[Any] = None, query_parameters_template: Optional[str] = None, start_time_attribute_name: Optional[str] = None, end_time_attribute_name: Optional[str] = None, **kwargs)
Variables
- api_endpoint
- str
Required. Describe the endpoint we should pull the data from.
- rate_limit_qps
- int
Defines the rate limit QPS.
- query_window_in_min
- int
Required. The window interval we will use the pull the data.
- http_method
- <xref:http_method>)<xref: >(str
Required. The http method type we will use in the poll request, GET or POST.
- query_time_format
- str
Required. The time format will be used the query events in a specific window.
- retry_count
- int
Describe the amount of time we should try and poll the data in case of failure.
- timeout_in_seconds
- int
The number of seconds we will consider as a request timeout.
- headers
- any
Describe the headers sent in the poll request.
- query_parameters
- any
Describe the query parameters sent in the poll request.
- query_parameters_template
- str
For advanced scenarios for example user name/password embedded in nested JSON payload.
- start_time_attribute_name
- str
This will be used the query events from a start of the time window.
- end_time_attribute_name
- str
This will be used the query events from the end of the time window.
Feedback
Submit and view feedback for